<?php
include_once("incs/conf.php");
include_once("incs/fmysql.php");
include_once("incs/fnc.php");
include_once("incs/head.php");

head("Гостевая книга",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "Гостевая книга</div>";

if($settings[quest]==1){
echo "Раздел закрыт<br>";
include_once("incs/down.php");
}

$ban_ok=$user[ban]-$time;
if($ban_ok>0){
echo "Вы забанены по причине:<br>";
echo "<b>$user[ban_prich]</b><br>";
echo "До окончания бана осталось: $ban_ok сек.<br>";
echo "Старайтесь больше не нарушать <a href=\"rules.php\">правила</a> сайта!<br>";
include_once("incs/down.php");
}

$a = fil($_GET['a']);
$p = fil($_GET['p']);

if($on==1){
switch($a){

case 'dob':
$povtor=mysql_fetch_array(mysql_query("SELECT * FROM `qv` WHERE `id` != '0' ORDER BY id DESC LIMIT 1"));
if($povtor[msg]!=$_POST['msg']){
if($_POST['msg']!=""){
$msg=$_POST['msg'];
$msg=filtr($msg);
$msg=bbcode(smiles($msg));
$name=$user['nick'];
$browser=explode(" ",@$_SERVER['HTTP_USER_AGENT']);
mysql_query("INSERT INTO `qv` (`id_user`, `nick`, `msg`, `date`, `ip`, `soft`) values('$user[id]', '$name', '$msg', '".date('Y.m.d/H:i')."', '".@$_SERVER['REMOTE_ADDR']."', '".$browser[0]."')");
mysql_query("UPDATE `user` SET `money` = '".($user['money']+1)."' WHERE `id` = '$user[id]'");
}else{
echo "Вы не заполнили поле!<br>";
}
}else{
echo "Сообщение повторяетса!<br>";
}
break;

case 'del':
if($user[level]>1){
mysql_query("DELETE FROM `qv` WHERE `id` = '$p'");
}
break;
}

if($user[level]>=9){
switch($p){
case'cline':
echo "Вы действительно хотите очистить гостевую?<br>";
echo "<a href=\"quest.php?p=cline_yes\">Да, очистить</a> - ";
echo "<a href=\"quest.php\">Нет, вернутса</a><br>";
break;

case'cline_yes':
mysql_query("TRUNCATE TABLE `qv`");
break;
}
}

}
if($settings[quest]==0 && $on==1){
echo '<form method="post" action="?a=dob">';
echo 'Сообщение:<br/><textarea name="msg"></textarea><br/>';
echo '<input value="Отправить" type="submit"/></form>';
}

$k_post = mysql_num_rows(mysql_query("SELECT id FROM `qv`"));
if ($k_post==0)
{
echo "Нет сообщений<br>";
}

if($on==1){
$end=$user[msg_for_page];
}else{
$end=10;}
$skok_pages=ceil($k_post/$end);
if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$q=mysql_query("SELECT * FROM `qv` WHERE `id` != '0' ORDER BY id DESC LIMIT $start,$end");
while ($postt = mysql_fetch_array($q))
{
if($num==1){ 
echo "<div class='reki'>"; 
$num=0;
}else{ 
echo "<div class='rek'>"; 
$num=1;}
$pik = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$postt[id_user]'"));
$level=$pik[level];
if($level==0){
$level_p='Пользователь';
}
if($level==1){
$level_p='VIP-Пользователь';
}
if($level==2){
$level_p='Модератор чата';
}
if($level==3){
$level_p='Модератор форума';
}
if($level==4){
$level_p='Модератор ЗЦ';
}
if($level==5){
$level_p='Модератор чата, форума';
}
if($level==6){
$level_p='Модератор чата, ЗЦ';
}
if($level==7){
$level_p='Модератор ЗЦ, форума';
}
if($level==8){
$level_p='Модератор чата, ЗЦ, форума';
}
if($level==9){
$level_p='Старшый Модератор';
}
if($level==10){
$level_p='Администратор';
}
if($level==11){
$level_p='Создатель';
}

echo "<a href='my.php?id=$postt[id_user]'>$postt[nick]</a> ($postt[date])<br>
<span style=\"color:#ff0000;\">$level_p</span><br>".str_replace("\n","<br>",$postt['msg'])."<br>";
if($user[level]>1){
echo "<a href=\"quest.php?a=del&p=$postt[id]\">Удалить</a><br>";
echo "<small style='color:red;margin-top:2px;'>$postt[ip] $postt[soft]</small></div>";
}else{
echo "</div>";
}
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo "<span class=\"str_t\">$i</span>";
}else{
echo "<span class=\"str_l\"><a href='?page=$i'>$i</a></span>";
}}}

echo "<div class=\"menu\"><a href=\"smiles.php\">Смайлы</a> | <a href=\"bb-code.php\">ВВ-коды</a></div>";

if($user[level]>=9){
echo "<div class=\"menu\"><a href=\"quest.php?p=cline\">Очистить гостевую</a></div>";}

include_once("incs/down.php");
?>